\version "2.24.0"
%%%%%%%%% Add soprano solo(two singers alternating) %%%%%%%%%%%%%%%%%%%%%
Addsoprano = {
   \override Staff.StaffSymbol.color = #red
   \override Staff.LedgerLineSpanner.color = #red
   \override NoteHead.color = #red
   \override Stem.color = #red
 %% 1-11
    R1. * 5 |
    \repeat volta 2 { R1. * 6 }
%%  12-19
    R1. * 8 |
%%  20-23
    b''2.^\markup { \teeny \italic "Solo(two singers alternating)" }
         _\markup { \teeny  \italic "Dó" } a''_\markup { \teeny  \italic "na" } |
    b''_\markup { \teeny  \italic "é" } a''_\markup { \teeny  \italic "is" } |
    b''_\markup { \teeny  \italic "Dó" } a''_\markup { \teeny  \italic "na" } |
    b''_\markup { \teeny  \italic "é" } a''_\markup { \teeny  \italic "is" } | \break
%%  24-25
    \time 2/1 b''\breve_\markup { \teeny  \italic "A" } |
    \time 4/1 c'''\longa * 1/4_\markup { \teeny  \italic "men" } s\longa * 3/4
    \time 3/2 \bar "|." \break
}

%{
AddsopranoL = \lyricmode {
    \override Score.LyricText.font-shape = #'italic
    \teeny
    Dó -- na é -- is Dó -- na é -- is
    A -- men.
}
%}

AddsopranoM = {
 %% 1-11
    R1. * 5 |
    \repeat volta 2 { \tempo 4 = 40 R1. * 5 | \tempo 4 = 68 R1. | }
%%  12-19
    R1. * 8 |
%%  20-23
    b''2. a'' | b'' a'' | b'' a'' | b'' a'' | \break
%%  24-25
    \time 2/1 b''\breve | \time 4/1 c'''\longa \time 3/2 \bar "|." \break
}

%%%%%%%%% soprano part %%%%%%%%%%%%%%%%%%%%%
soprano = { \hide Staff.BarLine
    \autoBeamOff
%% 1-4
    d'2. e'8 f'4. g'4~ | g'4 a'2. b'8 c''4. | d''2 r4 d'2.^\sfz |
    r4 c'4-. r8 c'4-. r8 c'4-. r4 | \break
%% 5-8
    \times 2/3 { d'4.-. r8 e'2-. f'-. } g'2-. |
    \repeat volta 2 { \times 2/3 {
    d'4.-.^\markup{ \hspace #-2 \italic "riten" } r8 d'2-. d'-. } d'2-. |
    r8 d''4.-. e''4-. f''4. g''4. | f''2 e'' f'' | \break
%% 9-13
    e''4. r8 f''2 e'' | f''2 f''1 | R1. | }
    e''2.^\markup { \italic "a tempo" } c'' | a' f' | \break
%% 14-19
    e'1 d'2~ | d' c'1 | g'1 f'2 | g'2 g'2. r4 | a'1  g'2 | a'2 a'2.. r8 | \break
%% 20-23
    g'4.. a'8. g'4.. a' | c'2 d'8 e'2.. | a'4.. b'8. a'4.. b' |
    d'4. e'8 f'2.. r8 | \break
%% 24-25
    \time 2/1 d'\breve | \time 4/1 c'\longa * 1/4 s\longa * 3/4
    \time 3/2 \undo \hide Staff.BarLine \bar "|." \break
}

sopranoL = \lyricmode {
    \override Score.LyricText.font-shape = #'italic
    \tiny
    La -- cri -- mó -- sa di -- es il -- la,
    Qua re -- súr -- get ex fa -- vil -- la
    Ju -- di -- cán -- dus hó -- mo ré -- us:
    Hú -- ic ér -- go pár -- ce Dé -- us.
    Pi -- e Jé -- su Dó -- mi -- ne,
    La -- cri -- mó -- sa di -- es il -- la,
    Dó -- na é -- is ré -- qui -- em
    Dó -- na é -- is ré -- qui -- em
    A -- men.
}

sopranoM = {
    \autoBeamOff
%% 1-4
    d'2. e'8 f'4. g'4~ | g'4 a'2. b'8 c''4. | d''2 r4 d'2.^\sfz |
    r4 c'4-. r8 c'4-. r8 c'4-. r4 | \break
%% 5-8
    \times 2/3 { d'4.-. r8 e'2-. f'-. } g'2-. |
    \repeat volta 2 { \tempo 4 = 40
    \times 2/3 { d'4.-. r8 d'2-. d'-. } d'2-. |
    r8 d''4.-. e''4-. f''4. g''4. | f''2 e'' f'' | \break
%% 9-13
    e''4. r8 f''2 e'' | f'' f''1 | \tempo 4 = 68 R1. | }
    e''2. c'' | a' f' | \break
%% 14-19
    e'1 d'2~ | d' c'1 | g'1 f'2 | g'2 g'2. r4 | a'1  g'2 | a'2 a'2.. r8 | \break
%% 20-23
    g'4.. a'8. g'4.. a' | c'2 d'8 e'2.. | a'4.. b'8. a'4.. b' |
    d'4. e'8 f'2.. r8 | \break
%% 24-25
    \time 2/1 d'\breve | \time 4/1 c'\longa \time 3/2 \bar "|." \break
}

%%%%%%%%%% alto part %%%%%%%%%%%%%%%%%%%%%%
alto = { \hide Staff.BarLine
     \autoBeamOff
%% 1-4
    g2. a8 b4. c'4~ | c'4 d'2. e'8 f'4. | g'2 r4 g2.^\sfz |
    r4 f4-. r8 f4-. r8 f4-. r4 | \break
%% 5-8
    \times 2/3 { g4.-. r8 a2-. b-. } c'2-. |
    \repeat volta 2 { \times 2/3 {
    g4.-.^\markup{ \hspace #-2 \italic "riten" } r8 g2-. g-. } g2-. |
    r8 g'4.-. a'4-. b'4. c''4. | b'2 b' b' | \break
%% 9-13
    a'2 a' a'4. r8 | b'2 b'1 | R1. | }
    a'2.^\markup { \italic "a tempo" } f' | d' b | \break
%% 14-19
    g1 f2~ | f f1 | c'1 b2 | c'2 c'2. r4 | d'1  c'2 | d'2 d'2.. r8 | \break
%% 20-23
    c'4.. d'8. c'4.. d' | f2 g8 a2.. | d'4.. e'8. d'4.. e' |
    g4. a8 b2.. r8 | \break
%% 24-25
    \time 2/1 d'\breve | \time 4/1 c'\longa * 1/4 s\longa * 3/4
    \time 3/2 \undo \hide Staff.BarLine \bar "|." \break
}

altoL = \lyricmode {
    \override Score.LyricText.font-shape = #'italic
    \tiny
    La -- cri -- mó -- sa di -- es il -- la,
    Qua re -- súr -- get ex fa -- vil -- la
    Ju -- di -- cán -- dus hó -- mo ré -- us:
    Hú -- ic ér -- go pár -- ce Dé -- us.
    Pi -- e Jé -- su Dó -- mi -- ne,
    La -- cri -- mó -- sa di -- es il -- la,
    Dó -- na é -- is ré -- qui -- em
    Dó -- na é -- is ré -- qui -- em
    A -- men.
}

altoM = {
     \autoBeamOff
%% 1-4
    g2. a8 b4. c'4~ | c'4 d'2. e'8 f'4. | g'2 r4 g2.^\sfz |
    r4 f4-. r8 f4-. r8 f4-. r4 | \break
%% 5-8
    \times 2/3 { g4.-. r8 a2-. b-. } c'2-. |
    \repeat volta 2 { \tempo 4 = 40
    \times 2/3 { g4.-. r8 g2-. g-. } g2-. |
    r8 g'4.-. a'4-. b'4. c''4. |  b'2 b' b' | \break
%% 9-13
    a'2 a' a'4. r8 | b'2 b'1 | \tempo 4 = 68 R1. | }
    a'2. f' | d' b | \break
%% 14-19
    g1 f2~ | f f1 | c'1 b2 | c'2 c'2. r4 | d'1  c'2 | d'2 d'2.. r8 | \break
%% 20-23
    c'4.. d'8. c'4.. d' | f2 g8 a2.. | d'4.. e'8. d'4.. e' |
    g4. a8 b2.. r8 | \break
%% 24-25
    \time 2/1 d'\breve | \time 4/1 c'\longa \time 3/2 \bar "|." \break
}

%%%%%%%% tenor part %%%%%%%%%%%%%%%%%%%%%%%
tenor = { \hide Staff.BarLine
     \autoBeamOff
%% 1-4
    e2. e8 f4. f4~ | f4 g2. g8 a4. | a2 r4 e2.^\sfz |
    r4 d4-. r8 d4-. r8 d4-. r4 | \break
%% 5-8
    e8-. r4 f8-. r4 g8-. r4 a8-. r4 |
    \repeat volta 2 {
    f4-.^\markup{ \hspace #-2 \italic "riten" } r8 g4-. r8 a4-. r8 b4-. r8 |
    d'4-. r8 d'4-. r8 f'4 r8 g'4. | f'2 e' f' | \break
%% 9-13
    e'4. r8 f'2 e' | f'2 f'1 | R1. | }
    e'2.^\markup { \italic "a tempo" } d' | e' d' | \break
%% 14-19
    e'1 d'2_~ | d' e'1 | a1 g2 | a2 a2. r4 | b1 a2 | b2 b2.. r8 | \break
%% 20-23
    a4.. b8. a4.. b | d2 e8 f2.. | b4.. c'8. b4.. c' |
    e4. f8 g2.. r8 | \break
%% 24-25
    \time 2/1 d'\breve | \time 4/1 c'\longa * 1/4 s\longa * 3/4
    \time 3/2 \undo \hide Staff.BarLine \bar "|." \break
}

tenorL = \lyricmode {
    \override Score.LyricText.font-shape = #'italic
    \tiny
    La -- cri -- mó -- sa di -- es il -- la,
    Qua re -- súr -- get ex fa -- vil -- la
    Ju -- di -- cán -- dus hó -- mo ré -- us:
    Hú -- ic ér -- go pár -- ce Dé -- us.
    Pi -- e Jé -- su Dó -- mi -- ne,
    La -- cri -- mó -- sa di -- es il -- la,
    Dó -- na é -- is ré -- qui -- em
    Dó -- na é -- is ré -- qui -- em
    A -- men.
}

tenorM = {
     \autoBeamOff
%% 1-4
    e2. e8 f4. f4~ | f4 g2. g8 a4. | a2 r4 e2.^\sfz |
    r4 d4-. r8 d4-. r8 d4-. r4 | \break
%% 5-8
    e8-. r4 f8-. r4 g8-. r4 a8-. r4 |
    \repeat volta 2 { \tempo 4 = 40
    f4-. r8 g4-. r8 a4-. r8 b4-. r8 |
    d'4-. r8 d'4-. r8 f'4 r8 g'4. | f'2 e' f' | \break
%% 9-13
    e'4. r8 f'2 e' | f' f'1 | \tempo 4 = 68 R1. | }
    e'2. d' | e' d' | \break
%% 14-19
    e'1 d'2~ | d' e'1 | a1 g2 | a2 a2. r4 | b1 a2 | b2 b2.. r8 | \break
%% 20-23
    a4.. b8. a4.. b | d2 e8 f2.. | b4.. c'8. b4.. c' |
    e4. f8 g2.. r8 | \break
%% 24-25
    \time 2/1 d'\breve | \time 4/1 c'\longa \time 3/2 \bar "|." \break
}

%%%%%%% bass; part %%%%%%%%%%%%%%%%
bass = { \hide Staff.BarLine
   \autoBeamOff
%% 1-4
    g,2. g,8 a,4. a,4~ | a,4 b,2. b,8 c4. | c2 r4 a,2.^\sfz |
    r4 g,4-. r8 g,4-. r8 g,4-. r4 | \break
%% 5-8
    a,8-. r4 b,8-. r4 c8-. r4 d8-. r4 |
    \repeat volta 2 {
    b,4-.^\markup{ \hspace #-2 \italic "riten" } r8 c4-. r8 d4-. r8 e4-. r8 |
    g4-. r8 g4-. r8 b4 r8 c'4. |  b2 b2 b2 | \break
%% 9-13
    a2 a2 a4. r8 | b2 b1 | R1. | }
    a2.^\markup { \italic "a tempo" } a | a a | \break
%% 14-19
    a1 g2_~ | g g1 | d1 c2 | d2 d2. r4 | e1 d2 | d2 d2.. r8 |\break
%% 20-23
    d4.. e8. d4.. d | g,2 a,8 b,2.. | e4.. f8. e4.. e |
    a,4. b,8 c2.. r8 | \break
%% 24-25
    \time 2/1 d\breve | \time 4/1 c\longa * 1/4 s\longa * 3/4
    \time 3/2 \undo \hide Staff.BarLine \bar "|." \break
}

bassL = \lyricmode {
    \override Score.LyricText.font-shape = #'italic
    \tiny
    La -- cri -- mó -- sa di -- es il -- la,
    Qua re -- súr -- get ex fa -- vil -- la
    Ju -- di -- cán -- dus hó -- mo ré -- us:
    Hú -- ic ér -- go pár -- ce Dé -- us.
    Pi -- e Jé -- su Dó -- mi -- ne,
    La -- cri -- mó -- sa di -- es il -- la,
    Dó -- na é -- is ré -- qui -- em
    Dó -- na é -- is ré -- qui -- em
    A -- men.
}

bassM = {
   \autoBeamOff
%% 1-4
    g,2. g,8 a,4. a,4~ | a,4 b,2. b,8 c4. | c2 r4 a,2.^\sfz |
    r4 g,4-. r8 g,4-. r8 g,4-. r4 | \break
%% 5-8
    a,8-. r4 b,8-. r4 c8-. r4 d8-. r4 |
    \repeat volta 2 { \tempo 4 = 40
    b,4-. r8 c4-. r8 d4-. r8 e4-. r8 |
    g4-. r8 g4-. r8 b4 r8 c'4. |  b2 b2 b2 | \break
%% 9-13
    a2 a2 a4. r8 | b2 b1 | \tempo 4 = 68 R1. | }
    a2. a | a a | \break
%% 14-19
    a1 g2~ | g g1 | d1 c2 | d2 d2. r4 | e1 d2 | d2 d2.. r8 | \break
%% 20-23
    d4.. e8. d4.. d | g,2 a,8 b,2.. | e4.. f8. e4.. e |
    a,4. b,8 c2.. r8 | \break
%% 24-25
    \time 2/1 d\breve | \time 4/1 c\longa \time 3/2 \bar "|." \break
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%